import React from "react";

import {
  Box,
  Alert,
  AlertIcon,
  AlertTitle,
  AlertDescription,
} from "@chakra-ui/core";

interface Props {
  error: String | undefined | null;
}

const ErrorBox: React.FC<Props> = ({ error }) => {
  if (error) {
    return (
      <Box
        display="flex"
        flexDirection="row"
        justifyContent="center"
        alignItems="center"
      >
        <Alert status="error">
          <AlertIcon />
          <AlertTitle mr={2}>Error!</AlertTitle>
          <AlertDescription>{error}</AlertDescription>
        </Alert>
      </Box>
    );
  } else {
    return null;
  }
};

export default ErrorBox;
